<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'restaurant',

    /*
     * Package.
     */
    'package'   => 'website',

    /*
     * Modules.
     */
    'modules'   => ['website'],

    
    'website'       => [
        'model' => [
            'model'                 => \Restaurant\Website\Models\Website::class,
            'table'                 => 'websites',
            'presenter'             => \Restaurant\Website\Repositories\Presenter\WebsitePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'restaurant_id',  'promo_image',  'promo_text',  'type',  'custom_page2',  'timing_text',  'banner_video',  'is_event_show',  'created_at',  'updated_at',  'deleted_at',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'website/website',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Restaurant',
            'package'   => 'Website',
            'module'    => 'Website',
        ],

    ],
];
