Lavalite package that provides website management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/website`.

    "restaurant/website": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Website\Providers\WebsiteServiceProvider::class,

And also add it to alias

    'Website'  => Restaurant\Website\Facades\Website::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\WebsiteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Website\Providers\WebsiteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Website\Providers\WebsiteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Website\Providers\WebsiteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/website/{modulename}

**User**

    http://path-to-route-folder/user/website/{modulename}

**Public**

    http://path-to-route-folder/websites


### API endpoints

**List**

    http://path-to-route-folder/api/user/website/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/website/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/website/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/website/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/website/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/website/{modulename}/{slug}
    METHOD: GET