<?php

namespace Restaurant\Website\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class WebsiteTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Website\Models\Website $website)
    {
        return [
            'id'                => $website->getRouteKey(),
            'key'               => [
                'public'    => $website->getPublicKey(),
                'route'     => $website->getRouteKey(),
            ], 
            'restaurant_id'     => $website->restaurant_id,
            'promo_image'       => $website->promo_image,
            'promo_text'        => $website->promo_text,
            'type'              => $website->type,
            'custom_page2'      => $website->custom_page2,
            'timing_text'       => $website->timing_text,
            'banner_video'      => $website->banner_video,
            'is_event_show'     => $website->is_event_show,
            'deleted_at'        => $website->deleted_at,
            'PRIMARY'           => $website->PRIMARY,
            'url'               => [
                'public'    => trans_url('website/'.$website->getPublicKey()),
                'user'      => guard_url('website/website/'.$website->getRouteKey()),
            ], 
            'status'            => trans('app.'.$website->status),
            'created_at'        => format_date($website->created_at),
            'updated_at'        => format_date($website->updated_at),
        ];
    }
}