<?php

namespace Restaurant\Website;

use User;

class Website
{
    /**
     * $website object.
     */
    protected $website;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\Website\Interfaces\WebsiteRepositoryInterface $website)
    {
        $this->website = $website;
    }

    /**
     * Returns count of website.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.website.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->website->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\WebsiteUserCriteria());
        }

        $website = $this->website->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('website::' . $view, compact('website'))->render();
    }
}
